Create a scripted REST API resource
Create a scripted REST API resource to define the HTTP method, the processing script, and to override settings from the parent service.
Before you begin
Create a scripted REST API. For more information, see Create a scripted REST API.
Role required: web_service_admin
Procedure
-
Navigate to All > System Web Services > Scripted REST APIs.
-
Select a scripted REST API record.
-
In the Resources related list, click New.
-
Enter a Name.
The resource name affects the URI for sending requests to the API.
-
Select the HTTP method this resource implements, such as GET.
-
In the Script field, define how the operation parses and responds to requests.
-
Override settings from the parent REST API as needed, such as by specifying different security settings or valid content types.
-
On the Documentation tab, provide a Short description explaining how to access the resource.
This information appears when exploring this resource using the REST API Explorer.
-
Click Submit.
What to do next
After creating the resource, you can associate headers and query parameters. For details, see Define scripted REST API headers and Define available query parameters.
Parent Topic:Create a scripted REST API
---
title: Create a scripted REST API resource
description: Create a scripted REST API resource to define the HTTP method, the processing script, and to override settings from the parent service.
locale: en-US
canonical_url: https://www.servicenow.com/docs/r/api-reference/rest-api-explorer/t\_CreateAScriptedRESTAPIResource.html
release: brazil
product: REST API Explorer
classification: rest-api-explorer
topic_type: task
last_updated: "2026-09-10"
reading_time_minutes: 1
breadcrumb: [Create a scripted REST API, Scripted REST APIs, REST APIs, Web services, API implementation, API implementation and reference]
---
# Create a scripted REST API resource
Create a scripted REST API resource to define the HTTP method, the processing script, and to override settings from the parent service.
## Before you begin
Create a scripted REST API. For more information, see [Create a scripted REST API](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/brazil/markdown/api-reference/rest-api-explorer/t_CreateAScriptedRESTService.md).
Role required: web\_service\_admin
## Procedure
1. Navigate to **All** > **System Web Services** > **Scripted REST APIs**.
2. Select a scripted REST API record.
3. In the **Resources** related list, click **New**.
4. Enter a **Name**.
The resource name affects the URI for sending requests to the API.
5. Select the **HTTP method** this resource implements, such as **GET**.
6. In the **Script** field, define how the operation parses and responds to requests.
7. Override settings from the parent REST API as needed, such as by specifying different security settings or valid content types.
8. On the **Documentation** tab, provide a **Short description** explaining how to access the resource.
This information appears when exploring this resource using the REST API Explorer.
9. Click **Submit**.
## What to do next
After creating the resource, you can associate headers and query parameters. For details, see [Define scripted REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/brazil/markdown/api-reference/rest-api-explorer/t_DefineRESTServiceHeaders.md) and [Define available query parameters](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/brazil/markdown/api-reference/rest-api-explorer/t_DefineAvailableQueryParameters.md).
**Parent Topic:**[Create a scripted REST API](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/brazil/markdown/api-reference/rest-api-explorer/t_CreateAScriptedRESTService.md)
| title | Create a scripted REST API resource |
| description | Create a scripted REST API resource to define the HTTP method, the processing script, and to override settings from the parent service. |
| locale | en-US |
| canonical_url | https://www.servicenow.com/docs/r/api-reference/rest-api-explorer/t\_CreateAScriptedRESTAPIResource.html |
| release | brazil |
| product | REST API Explorer |
| classification | rest-api-explorer |
| topic_type | task |
| last_updated | 2026-09-10 |
| reading_time_minutes | 1 |
| breadcrumb | Create a scripted REST APIScripted REST APIsREST APIsWeb servicesAPI implementationAPI implementation and reference |